"""Add keystone login service

Revision ID: 2bf8af5bad95
Revises: 154f2befdfbe
Create Date: 2015-06-29 21:19:13.053165

"""

# revision identifiers, used by Alembic.
revision = '2bf8af5bad95'
down_revision = '154f2befdfbe'

from alembic import op
import sqlalchemy as sa


def upgrade(tables):
  op.bulk_insert(tables.loginservice, [{'id': 6, 'name': 'keystone'}])


def downgrade(tables):
  op.execute(
    tables.loginservice.delete()
    .where(tables.loginservice.c.name == op.inline_literal('keystone'))
  )

